import { world, system } from "@minecraft/server";
import { ActionFormData } from "@minecraft/server-ui";

world.beforeEvents.itemUseOn.subscribe((ev) => {
  const item = ev.itemStack
  const player = ev.source
  const block = player.getBlockFromViewDirection().block
  const blockface = player.getBlockFromViewDirection().face
  if (blockface == "Down" && item.typeId === "zg:quest_book") ev.cancel = true;
  if (blockface == "Down" && item.typeId === "zg:quiz_paper") ev.cancel = true;
  if (blockface == "South" && item.typeId === "zg:quest_book") ev.cancel = true;
  if (blockface == "South" && item.typeId === "zg:quiz_paper") ev.cancel = true;
  if (blockface == "West" && item.typeId === "zg:quest_book") ev.cancel = true;
  if (blockface == "West" && item.typeId === "zg:quiz_paper") ev.cancel = true;
  if (blockface == "North" && item.typeId === "zg:quest_book") ev.cancel = true;
  if (blockface == "North" && item.typeId === "zg:quiz_paper") ev.cancel = true;
  if (blockface == "East" && item.typeId === "zg:quest_book") ev.cancel = true;
  if (blockface == "East" && item.typeId === "zg:quiz_paper") ev.cancel = true;
  if (block.permutation.getState("zg:integer_quest_state") == 0 && item.typeId === "zg:quest_book") ev.cancel = true; system.run(() => {
    if (block.permutation.getState("zg:integer_quest_state") == 0 && item.typeId === "zg:quest_book") {
      block.setType("air");
      player.runCommandAsync("clear @s zg:quest_book 0 1");
      player.runCommandAsync(`setblock ${block.location.x} ${block.location.y} ${block.location.z} zg:placeable_quest_book["zg:integer_quest_state"=1] keep`)
    }
  })
  if (block.permutation.getState("zg:integer_quest_state") == 1 && item.typeId === "zg:quest_book") ev.cancel = true; system.run(() => {
    if (block.permutation.getState("zg:integer_quest_state") == 1 && item.typeId === "zg:quest_book") {
      block.setType("air");
      player.runCommandAsync("clear @s zg:quest_book 0 1");
      player.runCommandAsync(`setblock ${block.location.x} ${block.location.y} ${block.location.z} zg:placeable_quest_book["zg:integer_quest_state"=2] keep`)
    }
  })
  if (block.permutation.getState("zg:integer_quest_state") == 2 && item.typeId === "zg:quest_book") ev.cancel = true; system.run(() => {
    if (block.permutation.getState("zg:integer_quest_state") == 2 && item.typeId === "zg:quest_book") {
      block.setType("air");
      player.runCommandAsync("clear @s zg:quest_book 0 1");
      player.runCommandAsync(`setblock ${block.location.x} ${block.location.y} ${block.location.z} zg:placeable_quest_book["zg:integer_quest_state"=3] keep`)
    }
  })
  if (block.permutation.getState("zg:integer_quiz_state") == 0 && item.typeId === "zg:quiz_paper") ev.cancel = true; system.run(() => {
    if (block.permutation.getState("zg:integer_quiz_state") == 0 && item.typeId === "zg:quiz_paper") {
      block.setType("air");
      player.runCommandAsync("clear @s zg:quiz_paper 0 1");
      player.runCommandAsync(`setblock ${block.location.x} ${block.location.y} ${block.location.z} zg:placeable_quiz_paper["zg:integer_quiz_state"=1] keep`)
    }
  })
  if (block.permutation.getState("zg:integer_quiz_state") == 1 && item.typeId === "zg:quiz_paper") ev.cancel = true; system.run(() => {
    if (block.permutation.getState("zg:integer_quiz_state") == 1 && item.typeId === "zg:quiz_paper") {
      block.setType("air");
      player.runCommandAsync("clear @s zg:quiz_paper 0 1");
      player.runCommandAsync(`setblock ${block.location.x} ${block.location.y} ${block.location.z} zg:placeable_quiz_paper["zg:integer_quiz_state"=2] keep`)
    }
  })
  if (block.permutation.getState("zg:integer_quiz_state") == 2 && item.typeId === "zg:quiz_paper") ev.cancel = true; system.run(() => {
    if (block.permutation.getState("zg:integer_quiz_state") == 2 && item.typeId === "zg:quiz_paper") {
      block.setType("air");
      player.runCommandAsync("clear @s zg:quiz_paper 0 1");
      player.runCommandAsync(`setblock ${block.location.x} ${block.location.y} ${block.location.z} zg:placeable_quiz_paper["zg:integer_quiz_state"=3] keep`)
    }
  })
  if (block.permutation.getState("zg:integer_quiz_state") == 3 && item.typeId === "zg:quiz_paper") ev.cancel = true; system.run(() => {
    if (block.permutation.getState("zg:integer_quiz_state") == 3 && item.typeId === "zg:quiz_paper") {
      block.setType("air");
      player.runCommandAsync("clear @s zg:quiz_paper 0 1");
      player.runCommandAsync(`setblock ${block.location.x} ${block.location.y} ${block.location.z} zg:placeable_quiz_paper["zg:integer_quiz_state"=4] keep`)
    }
  })
  if (block.permutation.getState("zg:integer_quiz_state") == 4 && item.typeId === "zg:quiz_paper") ev.cancel = true; system.run(() => {
    if (block.permutation.getState("zg:integer_quiz_state") == 4 && item.typeId === "zg:quiz_paper") {
      block.setType("air");
      player.runCommandAsync("clear @s zg:quiz_paper 0 1");
      player.runCommandAsync(`setblock ${block.location.x} ${block.location.y} ${block.location.z} zg:placeable_quiz_paper["zg:integer_quiz_state"=5] keep`)
    }
  })
})
world.afterEvents.itemUse.subscribe((data) => {
  const item = data.itemStack
  const player = data.source
  const effects = ["mining_fatigue 120 0", "nausea 30 0", "poison 15 0", "slowness 120 0", "weakness 120 0", "wither 30 0", "hunger 60 0"]
  const rewards = ["iron_ingot 1 0", "gold_ingot 2 0", "iron_ingot 3 0", "gold_ingot 1 0", "iron_ingot 2 0", "gold_ingot 3 0", "emerald 1 0", "diamond 1 0", "emerald 2 0", "diamond 2 0", "emerald 3 0", "copper_ingot 1 0", "copper_ingot 2 0", "copper_ingot 3 0", "copper_ingot 4 0", "gold_nugget 3 0", "iron_nugget 4 0", "gold_nugget 5 0", "iron_nugget 6 0", "gold_nugget 7 0", "iron_nugget 8 0", "gold_nugget 9 0", "iron_nugget 3 0", "gold_nugget 4 0", "iron_nugget 5 0", "gold_nugget 6 0", "iron_nugget 7 0", "gold_nugget 8 0", "iron_nugget 9 0", "netherite_scrap 1 0", "netherite_ingot 1 0", "netherite_scrap 2 0", "golden_carrot 1 0", "golden_apple 1 0", "golden_carrot 2 0", "golden_apple 2 0", "golden_carrot 3 0", "golden_apple 3 0", "golden_carrot 4 0", "enchanted_golden_apple 1 0", "golden_carrot 5 0", "totem_of_undying 1 0", "experience_bottle 1 0", "experience_bottle 2 0", "experience_bottle 3 0", "experience_bottle 4 0", "experience_bottle 5 0"]
  if (item.typeId === "zg:quiz_paper") {
    player.runCommandAsync("playsound random.pop @s");
    system.run(() => myfunction(player))

    function generateRandom(min, max) {
      return Math.floor(Math.random() * (max - min + 1)) + 1
    }
    function myfunction() {
      let randomNumber = generateRandom(1, 20)
      if (randomNumber == 1) {
        const quiz_a = new ActionFormData()
          .title("§lQUIZ PAPER")
          .body("[ §l§gDIRECTION §r]:\nRead The Question Carefully.\nChoose The Letter Which Corresponds to the Correct Answer!\n\n[ §l§aQUESTION §r]:\nWhat is The Main Objective of Minecraft?")
          .button("Build The Tallest Building\n=> Click to Answer <=", "textures/items/A.png")
          .button("Defeat The Ender Dragon\n=> Click to Answer <=", "textures/items/B.png")
          .button("Collect The Most Diamonds\n=> Click to Answer <=", "textures/items/C.png")
          .button("Explore All Biomes\n=> Click to Answer <=", "textures/items/D.png")
        quiz_a.show(player).then(r => {
          if (r.canceled) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
          }
          if (r.selection === 0) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 1) {
            player.runCommandAsync("playsound random.levelup @s");
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("title @s actionbar §l§aCORRECT!");
            player.runCommandAsync(`give @s ${rewards[Math.floor(Math.random() * rewards.length)]}`);
          }
          if (r.selection === 2) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 3) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
        })
      }
      if (randomNumber == 12) {
        const quiz_b = new ActionFormData()
          .title("§lQUIZ PAPER")
          .body("[ §l§gDIRECTION §r]:\nRead The Question Carefully.\nChoose The Letter Which Corresponds to the Correct Answer!\n\n[ §l§aQUESTION §r]:\nWhich Material is Needed to Craft a Pickaxe?")
          .button("Wood\n=> Click to Answer <=", "textures/items/A.png")
          .button("Iron\n=> Click to Answer <=", "textures/items/B.png")
          .button("Stone\n=> Click to Answer <=", "textures/items/C.png")
          .button("All of The Above\n=> Click to Answer <=", "textures/items/D.png")
        quiz_b.show(player).then(r => {
          if (r.canceled) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
          }
          if (r.selection === 0) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 1) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 2) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 3) {
            player.runCommandAsync("playsound random.levelup @s");
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("title @s actionbar §l§aCORRECT!");
            player.runCommandAsync(`give @s ${rewards[Math.floor(Math.random() * rewards.length)]}`);
          }
        })
      }
      if (randomNumber == 3) {
        const quiz_c = new ActionFormData()
          .title("§lQUIZ PAPER")
          .body("[ §l§gDIRECTION §r]:\nRead The Question Carefully.\nChoose The Letter Which Corresponds to the Correct Answer!\n\n[ §l§aQUESTION §r]:\nWhat do you Need to Create a Nether Portal?")
          .button("Cobblestone and Water\n=> Click to Answer <=", "textures/items/A.png")
          .button("Obsidian and Flint&Steel\n=> Click to Answer <=", "textures/items/B.png")
          .button("End Stone and Fire\n=> Click to Answer <=", "textures/items/C.png")
          .button("Sand and Lava\n=> Click to Answer <=", "textures/items/D.png")
        quiz_c.show(player).then(r => {
          if (r.canceled) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
          }
          if (r.selection === 0) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 1) {
            player.runCommandAsync("playsound random.levelup @s");
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("title @s actionbar §l§aCORRECT!");
            player.runCommandAsync(`give @s ${rewards[Math.floor(Math.random() * rewards.length)]}`);
          }
          if (r.selection === 2) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 3) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
        })
      }
      if (randomNumber == 14) {
        const quiz_d = new ActionFormData()
          .title("§lQUIZ PAPER")
          .body("[ §l§gDIRECTION §r]:\nRead The Question Carefully.\nChoose The Letter Which Corresponds to the Correct Answer!\n\n[ §l§aQUESTION §r]:\nWhat Creature Can be Tamed using Bones?")
          .button("Cat\n=> Click to Answer <=", "textures/items/A.png")
          .button("Horse\n=> Click to Answer <=", "textures/items/B.png")
          .button("Wolf\n=> Click to Answer <=", "textures/items/C.png")
          .button("Pig\n=> Click to Answer <=", "textures/items/D.png")
        quiz_d.show(player).then(r => {
          if (r.canceled) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
          }
          if (r.selection === 0) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 1) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 2) {
            player.runCommandAsync("playsound random.levelup @s");
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("title @s actionbar §l§aCORRECT!");
            player.runCommandAsync(`give @s ${rewards[Math.floor(Math.random() * rewards.length)]}`);
          }
          if (r.selection === 3) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
        })
      }
      if (randomNumber == 5) {
        const quiz_e = new ActionFormData()
          .title("§lQUIZ PAPER")
          .body("[ §l§gDIRECTION §r]:\nRead The Question Carefully.\nChoose The Letter Which Corresponds to the Correct Answer!\n\n[ §l§aQUESTION §r]:\nWhich of These Items Cannot be Crafted?")
          .button("Sword\n=> Click to Answer <=", "textures/items/A.png")
          .button("Shield\n=> Click to Answer <=", "textures/items/B.png")
          .button("Saddle\n=> Click to Answer <=", "textures/items/C.png")
          .button("Chest\n=> Click to Answer <=", "textures/items/D.png")
        quiz_e.show(player).then(r => {
          if (r.canceled) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
          }
          if (r.selection === 0) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 1) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 2) {
            player.runCommandAsync("playsound random.levelup @s");
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("title @s actionbar §l§aCORRECT!");
            player.runCommandAsync(`give @s ${rewards[Math.floor(Math.random() * rewards.length)]}`);
          }
          if (r.selection === 3) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
        })
      }
      if (randomNumber == 16) {
        const quiz_f = new ActionFormData()
          .title("§lQUIZ PAPER")
          .body("[ §l§gDIRECTION §r]:\nRead The Question Carefully.\nChoose The Letter Which Corresponds to the Correct Answer!\n\n[ §l§aQUESTION §r]:\nWhich Biome is Known for Having lots of Sand?")
          .button("Forest\n=> Click to Answer <=", "textures/items/A.png")
          .button("Desert\n=> Click to Answer <=", "textures/items/B.png")
          .button("Plains\n=> Click to Answer <=", "textures/items/C.png")
          .button("Swamp\n=> Click to Answer <=", "textures/items/D.png")
        quiz_f.show(player).then(r => {
          if (r.canceled) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
          }
          if (r.selection === 0) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 1) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.levelup @s");
            player.runCommandAsync("title @s actionbar §l§aCORRECT!");
            player.runCommandAsync(`give @s ${rewards[Math.floor(Math.random() * rewards.length)]}`);
          }
          if (r.selection === 2) {
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 3) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
        })
      }
      if (randomNumber == 7) {
        const quiz_g = new ActionFormData()
          .title("§lQUIZ PAPER")
          .body("[ §l§gDIRECTION §r]:\nRead The Question Carefully.\nChoose The Letter Which Corresponds to the Correct Answer!\n\n[ §l§aQUESTION §r]:\nWhat is The Name of The Default Player Character in Minecraft?")
          .button("Steve\n=> Click to Answer <=", "textures/items/A.png")
          .button("John\n=> Click to Answer <=", "textures/items/B.png")
          .button("Alex\n=> Click to Answer <=", "textures/items/C.png")
          .button("Mike\n=> Click to Answer <=", "textures/items/D.png")
        quiz_g.show(player).then(r => {
          if (r.canceled) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
          }
          if (r.selection === 0) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.levelup @s");
            player.runCommandAsync("title @s actionbar §l§aCORRECT!");
            player.runCommandAsync(`give @s ${rewards[Math.floor(Math.random() * rewards.length)]}`);
          }
          if (r.selection === 1) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 2) {
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 3) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
        })
      }
      if (randomNumber == 18) {
        const quiz_h = new ActionFormData()
          .title("§lQUIZ PAPER")
          .body("[ §l§gDIRECTION §r]:\nRead The Question Carefully.\nChoose The Letter Which Corresponds to the Correct Answer!\n\n[ §l§aQUESTION §r]:\nWhat Can you use to Grow Crops Faster?")
          .button("Water\n=> Click to Answer <=", "textures/items/A.png")
          .button("Lava\n=> Click to Answer <=", "textures/items/B.png")
          .button("Bonemeal\n=> Click to Answer <=", "textures/items/C.png")
          .button("Cobblestone\n=> Click to Answer <=", "textures/items/D.png")
        quiz_h.show(player).then(r => {
          if (r.canceled) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
          }
          if (r.selection === 0) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 1) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 2) {
            player.runCommandAsync("playsound random.levelup @s");
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("title @s actionbar §l§aCORRECT!");
            player.runCommandAsync(`give @s ${rewards[Math.floor(Math.random() * rewards.length)]}`);
          }
          if (r.selection === 3) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
        })
      }
      if (randomNumber == 9) {
        const quiz_i = new ActionFormData()
          .title("§lQUIZ PAPER")
          .body("[ §l§gDIRECTION §r]:\nRead The Question Carefully.\nChoose The Letter Which Corresponds to the Correct Answer!\n\n[ §l§aQUESTION §r]:\nWhich Mob Explodes When it gets Close to The Player?")
          .button("Skeleton\n=> Click to Answer <=", "textures/items/A.png")
          .button("Zombie\n=> Click to Answer <=", "textures/items/B.png")
          .button("Creeper\n=> Click to Answer <=", "textures/items/C.png")
          .button("Spider\n=> Click to Answer <=", "textures/items/D.png")
        quiz_i.show(player).then(r => {
          if (r.canceled) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
          }
          if (r.selection === 0) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 1) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 2) {
            player.runCommandAsync("playsound random.levelup @s");
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("title @s actionbar §l§aCORRECT!");
            player.runCommandAsync(`give @s ${rewards[Math.floor(Math.random() * rewards.length)]}`);
          }
          if (r.selection === 3) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
        })
      }
      if (randomNumber == 20) {
        const quiz_j = new ActionFormData()
          .title("§lQUIZ PAPER")
          .body("[ §l§gDIRECTION §r]:\nRead The Question Carefully.\nChoose The Letter Which Corresponds to the Correct Answer!\n\n[ §l§aQUESTION §r]:\nHow do you Obtain an Ender Pearl?")
          .button("Kill a Blaze\n=> Click to Answer <=", "textures/items/A.png")
          .button("Trade with Villagers\n=> Click to Answer <=", "textures/items/B.png")
          .button("Mine Ender Ore\n=> Click to Answer <=", "textures/items/C.png")
          .button("Kill an Enderman\n=> Click to Answer <=", "textures/items/D.png")
        quiz_j.show(player).then(r => {
          if (r.canceled) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
          }
          if (r.selection === 0) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 1) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 2) {
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 3) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.levelup @s");
            player.runCommandAsync("title @s actionbar §l§aCORRECT!");
            player.runCommandAsync(`give @s ${rewards[Math.floor(Math.random() * rewards.length)]}`);
          }
        })
      }
      if (randomNumber == 11) {
        const quiz_k = new ActionFormData()
          .title("§lQUIZ PAPER")
          .body("[ §l§gDIRECTION §r]:\nRead The Question Carefully.\nChoose The Letter Which Corresponds to the Correct Answer!\n\n[ §l§aQUESTION §r]:\nWhat Enchantment Can be Applied to a Trident to Make it Return to The Player After Being Thrown?")
          .button("Loyalty\n=> Click to Answer <=", "textures/items/A.png")
          .button("Riptide\n=> Click to Answer <=", "textures/items/B.png")
          .button("Channeling\n=> Click to Answer <=", "textures/items/C.png")
          .button("Impaling\n=> Click to Answer <=", "textures/items/D.png")
        quiz_k.show(player).then(r => {
          if (r.canceled) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
          }
          if (r.selection === 0) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.levelup @s");
            player.runCommandAsync("title @s actionbar §l§aCORRECT!");
            player.runCommandAsync(`give @s ${rewards[Math.floor(Math.random() * rewards.length)]}`);
          }
          if (r.selection === 1) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 2) {
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 3) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
        })
      }
      if (randomNumber == 2) {
        const quiz_l = new ActionFormData()
          .title("§lQUIZ PAPER")
          .body("[ §l§gDIRECTION §r]:\nRead The Question Carefully.\nChoose The Letter Which Corresponds to the Correct Answer!\n\n[ §l§aQUESTION §r]:\nHow Many Eyes of Ender are Needed to Activate an End Portal?")
          .button("9\n=> Click to Answer <=", "textures/items/A.png")
          .button("10\n=> Click to Answer <=", "textures/items/B.png")
          .button("11\n=> Click to Answer <=", "textures/items/C.png")
          .button("12\n=> Click to Answer <=", "textures/items/D.png")
        quiz_l.show(player).then(r => {
          if (r.canceled) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
          }
          if (r.selection === 0) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 1) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 2) {
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 3) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.levelup @s");
            player.runCommandAsync("title @s actionbar §l§aCORRECT!");
            player.runCommandAsync(`give @s ${rewards[Math.floor(Math.random() * rewards.length)]}`);
          }
        })
      }
      if (randomNumber == 13) {
        const quiz_m = new ActionFormData()
          .title("§lQUIZ PAPER")
          .body("[ §l§gDIRECTION §r]:\nRead The Question Carefully.\nChoose The Letter Which Corresponds to the Correct Answer!\n\n[ §l§aQUESTION §r]:\nWhich Potion Can be Brewed using a Phantom Membrane?")
          .button("Potion of Slow Falling\n=> Click to Answer <=", "textures/items/A.png")
          .button("Potion of Invisibility\n=> Click to Answer <=", "textures/items/B.png")
          .button("Potion of Night Vision\n=> Click to Answer <=", "textures/items/C.png")
          .button("Potion of Leaping\n=> Click to Answer <=", "textures/items/D.png")
        quiz_m.show(player).then(r => {
          if (r.canceled) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
          }
          if (r.selection === 0) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.levelup @s");
            player.runCommandAsync("title @s actionbar §l§aCORRECT!");
            player.runCommandAsync(`give @s ${rewards[Math.floor(Math.random() * rewards.length)]}`);
          }
          if (r.selection === 1) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 2) {
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 3) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
        })
      }
      if (randomNumber == 4) {
        const quiz_n = new ActionFormData()
          .title("§lQUIZ PAPER")
          .body("[ §l§gDIRECTION §r]:\nRead The Question Carefully.\nChoose The Letter Which Corresponds to the Correct Answer!\n\n[ §l§aQUESTION §r]:\nWhat is The Maximum Number of Bookshelves Needed to Achieve Level 30 Enchantments?")
          .button("12\n=> Click to Answer <=", "textures/items/A.png")
          .button("15\n=> Click to Answer <=", "textures/items/B.png")
          .button("18\n=> Click to Answer <=", "textures/items/C.png")
          .button("21\n=> Click to Answer <=", "textures/items/D.png")
        quiz_n.show(player).then(r => {
          if (r.canceled) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
          }
          if (r.selection === 0) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 1) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.levelup @s");
            player.runCommandAsync("title @s actionbar §l§aCORRECT!");
            player.runCommandAsync(`give @s ${rewards[Math.floor(Math.random() * rewards.length)]}`);
          }
          if (r.selection === 2) {
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 3) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
        })
      }
      if (randomNumber == 15) {
        const quiz_o = new ActionFormData()
          .title("§lQUIZ PAPER")
          .body("[ §l§gDIRECTION §r]:\nRead The Question Carefully.\nChoose The Letter Which Corresponds to the Correct Answer!\n\n[ §l§aQUESTION §r]:\nWhat Block Can be Used to Disable an End Portal in The Overworld?")
          .button("Obsidian\n=> Click to Answer <=", "textures/items/A.png")
          .button("Bedrock\n=> Click to Answer <=", "textures/items/B.png")
          .button("End Stone\n=> Click to Answer <=", "textures/items/C.png")
          .button("There is no way to Disable it\n=> Click to Answer <=", "textures/items/D.png")
        quiz_o.show(player).then(r => {
          if (r.canceled) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
          }
          if (r.selection === 0) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 1) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 2) {
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 3) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.levelup @s");
            player.runCommandAsync("title @s actionbar §l§aCORRECT!");
            player.runCommandAsync(`give @s ${rewards[Math.floor(Math.random() * rewards.length)]}`);
          }
        })
      }
      if (randomNumber == 6) {
        const quiz_p = new ActionFormData()
          .title("§lQUIZ PAPER")
          .body("[ §l§gDIRECTION §r]:\nRead The Question Carefully.\nChoose The Letter Which Corresponds to the Correct Answer!\n\n[ §l§aQUESTION §r]:\nWhich Minecraft Update Introduced The Netherite Material?")
          .button("Village & Pillage\n=> Click to Answer <=", "textures/items/A.png")
          .button("Buzzy Bees\n=> Click to Answer <=", "textures/items/B.png")
          .button("Nether Update\n=> Click to Answer <=", "textures/items/C.png")
          .button("Caves & Cliffs\n=> Click to Answer <=", "textures/items/D.png")
        quiz_p.show(player).then(r => {
          if (r.canceled) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
          }
          if (r.selection === 0) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 1) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 2) {
            player.runCommandAsync("playsound random.levelup @s");
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("title @s actionbar §l§aCORRECT!");
            player.runCommandAsync(`give @s ${rewards[Math.floor(Math.random() * rewards.length)]}`);
          }
          if (r.selection === 3) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
        })
      }
      if (randomNumber == 17) {
        const quiz_q = new ActionFormData()
          .title("§lQUIZ PAPER")
          .body("[ §l§gDIRECTION §r]:\nRead The Question Carefully.\nChoose The Letter Which Corresponds to the Correct Answer!\n\n[ §l§aQUESTION §r]:\nHow do you Obtain a Music Disc (Other Than Pigstep and Others Found in Structures)?")
          .button("Crafting\n=> Click to Answer <=", "textures/items/A.png")
          .button("Killing a Creeper w/skeleton arrow\n=> Click to Answer <=", "textures/items/B.png")
          .button("Fishing\n=> Click to Answer <=", "textures/items/C.png")
          .button("Trading with Villagers\n=> Click to Answer <=", "textures/items/D.png")
        quiz_q.show(player).then(r => {
          if (r.canceled) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
          }
          if (r.selection === 0) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 1) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.levelup @s");
            player.runCommandAsync("title @s actionbar §l§aCORRECT!");
            player.runCommandAsync(`give @s ${rewards[Math.floor(Math.random() * rewards.length)]}`);
          }
          if (r.selection === 2) {
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 3) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
        })
      }
      if (randomNumber == 8) {
        const quiz_r = new ActionFormData()
          .title("§lQUIZ PAPER")
          .body("[ §l§gDIRECTION §r]:\nRead The Question Carefully.\nChoose The Letter Which Corresponds to the Correct Answer!\n\n[ §l§aQUESTION §r]:\nWhich Command is used to Summon Lightning at a Specific Location?")
          .button("/summon lightning_bolt\n=> Click to Answer <=", "textures/items/A.png")
          .button("/summon thunder\n=> Click to Answer <=", "textures/items/B.png")
          .button("/spawn lightning\n=> Click to Answer <=", "textures/items/C.png")
          .button("/call lightning\n=> Click to Answer <=", "textures/items/D.png")
        quiz_r.show(player).then(r => {
          if (r.canceled) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
          }
          if (r.selection === 0) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.levelup @s");
            player.runCommandAsync("title @s actionbar §l§aCORRECT!");
            player.runCommandAsync(`give @s ${rewards[Math.floor(Math.random() * rewards.length)]}`);
          }
          if (r.selection === 1) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 2) {
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 3) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
        })
      }
      if (randomNumber == 19) {
        const quiz_s = new ActionFormData()
          .title("§lQUIZ PAPER")
          .body("[ §l§gDIRECTION §r]:\nRead The Question Carefully.\nChoose The Letter Which Corresponds to the Correct Answer!\n\n[ §l§aQUESTION §r]:\nWhat is The Primary use of a Grindstone in Minecraft?")
          .button("Repair and Disenchant Items\n=> Click to Answer <=", "textures/items/A.png")
          .button("Smelt Items into Resources\n=> Click to Answer <=", "textures/items/B.png")
          .button("Combine Enchanted Books\n=> Click to Answer <=", "textures/items/C.png")
          .button("Increase Enchantment Levels\n=> Click to Answer <=", "textures/items/D.png")
        quiz_s.show(player).then(r => {
          if (r.canceled) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
          }
          if (r.selection === 0) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.levelup @s");
            player.runCommandAsync("title @s actionbar §l§aCORRECT!");
            player.runCommandAsync(`give @s ${rewards[Math.floor(Math.random() * rewards.length)]}`);
          }
          if (r.selection === 1) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 2) {
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 3) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
        })
      }
      if (randomNumber == 10) {
        const quiz_t = new ActionFormData()
          .title("§lQUIZ PAPER")
          .body("[ §l§gDIRECTION §r]:\nRead The Question Carefully.\nChoose The Letter Which Corresponds to the Correct Answer!\n\n[ §l§aQUESTION §r]:\nWhich Block Can Endermen not Pick up?")
          .button("Grass Block\n=> Click to Answer <=", "textures/items/A.png")
          .button("Sand\n=> Click to Answer <=", "textures/items/B.png")
          .button("TNT\n=> Click to Answer <=", "textures/items/C.png")
          .button("Chest\n=> Click to Answer <=", "textures/items/D.png")
        quiz_t.show(player).then(r => {
          if (r.canceled) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
          }
          if (r.selection === 0) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 1) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 2) {
            player.runCommandAsync("playsound random.hurt @s");
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("title @s actionbar §l§cWRONG!");
            player.runCommandAsync(`effect @s ${effects[Math.floor(Math.random() * effects.length)]}`);
          }
          if (r.selection === 3) {
            player.runCommandAsync("clear @s zg:quiz_paper 0 1");
            player.runCommandAsync("playsound random.levelup @s");
            player.runCommandAsync("title @s actionbar §l§aCORRECT!");
            player.runCommandAsync(`give @s ${rewards[Math.floor(Math.random() * rewards.length)]}`);
          }
        })
      }
    }
  }
})